## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

# Until python3-edfio is packaged, omit it from the [full] extra
%bcond edfio 0
# Until python3-eeglabio is packaged, omit it from the [full] extra
%bcond eeglabio 0

%global desc %{expand: \
MNE-BIDS: Organizing MEG, EEG, and iEEG data according to the BIDS
specification and facilitating their analysis with MNE-Python}

Name:           python-mne-bids
Version:        0.16.0
Release:        %autorelease
Summary:        Experimental code for BIDS using MNE
License:        BSD-3-Clause
URL:            https://github.com/mne-tools/mne-bids
Source:         %{url}/archive/v%{version}/mne-bids-%{version}.tar.gz
BuildArch:      noarch
ExcludeArch:    %{ix86}

BuildRequires:  python3-devel
%if %{without edfio} || %{without eeglabio}
BuildRequires:  tomcli
%endif

%if %{with tests}
# See the [test] extra in pyproject.toml, and
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters.
# - mne_bids[full]: self-dependency; try to generate the right BR’s
# - pytest >= 8 – but pytest 7 *does* work, and we have it in Fedora 40
BuildRequires:  %{py3_dist pytest}
# - pytest-cov: coverage analysis; unwanted
# - pytest-sugar: just makes the output fancy; unnecessary
# - ruff: linter/formatter; unwanted
%endif

%description
%{desc}

%package -n python3-mne-bids
Summary:        %{summary}

%description -n python3-mne-bids
%{desc}

%pyproject_extras_subpkg -n python3-mne-bids full

%prep
%autosetup -n mne-bids-%{version}
%if %{without edfio}
tomcli set pyproject.toml lists delitem --type regex \
    project.optional-dependencies.full 'edfio($|\b.*)'
%endif
%if %{without eeglabio}
tomcli set pyproject.toml lists delitem --type regex \
    project.optional-dependencies.full 'eeglabio($|\b.*)'
%endif

%generate_buildrequires
%pyproject_buildrequires -x full

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l mne_bids

%check
%pyproject_check_import
%if %{with tests}
# Most tests that require the test dataset are automatically skipped when it is
# unavailable. The following tests do also require unpackaged mne test data:
# - mne/io/bti/tests/data/test_config_linux
k="${k-}${k+ and }not test_infer_eeg_placement_scheme"
k="${k-}${k+ and }not test_print_dir_tree"
# - mne/io/brainvision/tests/data/test.vhdr
k="${k-}${k+ and }not test_copyfile_brainvision"
k="${k-}${k+ and }not test_get_brainvision_paths"
# - mne/io/edf/tests/data/test.bdf
k="${k-}${k+ and }not test_bdf"
# - mne/io/edf/tests/data/test.edf
k="${k-}${k+ and }not test_copyfile_edf"
k="${k-}${k+ and }not test_copyfile_edfbdf_uppercase"
# - mne/io/kit/tests/data/test.sqd
k="${k-}${k+ and }not test_copyfile_kit"

# Require (NodeJS-based) bids-validator command-line tool, not packaged
k="${k-}${k+ and }not test_create_fif"
k="${k-}${k+ and }not test_line_freq"
k="${k-}${k+ and }not test_preload"

%pytest mne_bids -W ignore::DeprecationWarning --doctest-modules -k "${k-}" -v
%endif

%files -n python3-mne-bids -f %{pyproject_files}
%doc README.md
%{_bindir}/mne_bids

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 10 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-11
- Allow pytest 7 for Fedora 40

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-10
- Drop manual dependencies on Pandas and matplotlib
- Install python3-mne-bids+full instead.

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-9
- Package the full extra; run most of the tests

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-8
- Use modern, easier-to-read bcond style

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-4
- Don’t package the README for the examples without the examples

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-3
- Assert that the .dist-info directory contains a license file

* Mon Dec 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-2
- Drop bogus or obsolete manual dependencies

* Sat Nov 16 2024 Packit <hello@packit.dev> - 0.16.0-1
- Update to 0.16.0 upstream release
- Resolves: rhbz#2326712

* Tue Nov 12 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.15.0-3
- feat(packit): only build automatically for rawhide

* Tue Nov 12 2024 Packit <hello@packit.dev> - 0.15.0-1
- Update to 0.15.0 upstream release
- Resolves: rhbz#2290649

* Thu Sep 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14-5
- Rebuilt for Python 3.13 (fix RHBZ#2291782, fix RHBZ#2301179)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 17 2023 Packit <hello@packit.dev> - 0.14-1
- [packit] 0.14 upstream release
- Resolves rhbz#2250201

* Mon Sep 04 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.13-1
- feat: update to 0.13 (fixes rhbz#2233706, rhbz#2226245)

* Mon Sep 04 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.12-3
- chore: add packit

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Apr 26 2023 Sandro <devel@penguinpee.nl> - 0.12-1
- Update to 0.12
- Migrate to SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.10-5
- feat: ExcludeArch %%{ix86}

* Wed Jul 27 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.10-4
- feat: use pyproject macros

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Luis Bazan <lbazan@fedoraproject.org> - 0.10-1
- New upstream version

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 08 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 0.8-1
- New upstream version
- Removed explicit call to dependency generator

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.7-2
- Rebuilt for Python 3.10

* Wed Apr 07 2021 Luis Bazan <lbazan@fedoraproject.org> - 0.7-1
- New upstream version

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.4-2
- Rebuilt for Python 3.9

* Tue Apr 21 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-1
- Update to 0.4
- Remove py2 sub-package

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 27 2019 Luis Bazan <lbazan@fedoraproject.org> - 0.3.1-1
- New upstream version

* Tue Aug 20 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3-2
- Rebuilt for Python 3.8

* Tue Aug 20 2019 Luis M. Segundo <blackfile@fedoraproject.org> - 0.3-1
- New upstream version

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.2-3
- Rebuilt for Python 3.8

* Mon Apr 29 2019 Luis Bazan <lbazan@fedoraproject.org> - 0.2-2
- Fix typo

* Mon Apr 29 2019 Luis Bazan <lbazan@fedoraproject.org> - 0.2-1
- New upstream version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 26 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.1-2
- Fix comment 1 in BZ 1652976

* Fri Nov 23 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.1-1
- New upstream

## END: Generated by rpmautospec
